## org.apache.lucene.facet.search
Class DrillDown

    java.lang.Object
      org.apache.lucene.facet.search.DrillDown

    public final class DrillDown

extends Object

Creation of drill down term or query.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`DrillDown()`

Method Summary
`static Query` `query(FacetIndexingParams iParams, CategoryPath... paths)` Return a query for drilling down into all given categories (AND).
`static Query` `query(FacetIndexingParams iParams, Query baseQuery, CategoryPath... paths)` Turn a base query into a drilling-down query for all given category paths (AND).
`static Query` `query(FacetSearchParams sParams, CategoryPath... paths)` Return a query for drilling down into all given categories (AND).
`static Query` `query(FacetSearchParams sParams, Query baseQuery, CategoryPath... paths)` Turn a base query into a drilling-down query for all given category paths (AND).
`static Query` `query(Query baseQuery, CategoryPath... paths)` Turn a base query into a drilling-down query using the default `FacetSearchParams`
`static Term` `term(FacetIndexingParams iParams, CategoryPath path)` Return a term for drilling down into a category.
`static Term` `term(FacetSearchParams sParams, CategoryPath path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DrillDown

    public DrillDown()

Method Detail

### term

    public static final Term term(FacetSearchParams sParams,
                                  CategoryPath path)

  See Also:
    `term(FacetIndexingParams, CategoryPath)`

### term

    public static final Term term(FacetIndexingParams iParams,
                                  CategoryPath path)

  Return a term for drilling down into a category.

### query

    public static final Query query(FacetIndexingParams iParams,
                                    CategoryPath... paths)

  Return a query for drilling down into all given categories (AND).

  See Also:
    `term(FacetSearchParams, CategoryPath)`, `query(FacetSearchParams, Query, CategoryPath...)`

### query

    public static final Query query(FacetSearchParams sParams,
                                    CategoryPath... paths)

  Return a query for drilling down into all given categories (AND).

  See Also:
    `term(FacetSearchParams, CategoryPath)`, `query(FacetSearchParams, Query, CategoryPath...)`

### query

    public static final Query query(FacetIndexingParams iParams,
                                    Query baseQuery,
                                    CategoryPath... paths)

  Turn a base query into a drilling-down query for all given category paths (AND).

  See Also:
    `query(FacetIndexingParams, CategoryPath...)`

### query

    public static final Query query(FacetSearchParams sParams,
                                    Query baseQuery,
                                    CategoryPath... paths)

  Turn a base query into a drilling-down query for all given category paths (AND).

  See Also:
    `query(FacetSearchParams, CategoryPath...)`

### query

    public static final Query query(Query baseQuery,
                                    CategoryPath... paths)

  Turn a base query into a drilling-down query using the default `FacetSearchParams`

  See Also:
    `query(FacetSearchParams, Query, CategoryPath...)`